# Kobo

## Links

 * Installation without registration: <https://yingtongli.me/blog/2018/07/30/kobo-rego.html>
 * Access root telnet shell: <https://yingtongli.me/blog/2018/07/30/kobo-telnet.html>
 * Install dropbear (sshd): <https://yingtongli.me/blog/2018/07/30/kobo-ssh.html>

## Enable telnet without modifying the rootfs

Edit `.kobo/Kobo/Kobo eReader.conf` on the filesystem available via USB:

    [DeveloperSettings]
    EnableDebugServices=true

## Enable dropbear sshd

Copy `dropbearmulti` to `/opt/dropbear/dropbearmulti`.

In `/opt/dropbear/`:

    ./dropbearmulti dropbearkey -t dss -f dss_key
    ./dropbearmulti dropbearkey -t rsa -f rsa_key
    ./dropbearmulti dropbearkey -t ecdsa -f ecdsa_key

Add authorized keys to `/.ssh/authorized_keys`

Link scp: `ln -s /opt/dropbear/dropbearmulti /usr/bin/scp`

Add to `/etc/inittab`:

    ::IGNORE THIS LINE, it is just here to not confuse mkdocs
    ::respawn:/opt/dropbear/dropbearmulti dropbear -s -F -E -r /opt/dropbear/dss_key -r /opt/dropbear/rsa_key -r /opt/dropbear/ecdsa_key

!!! note
    After a system update, it might be necessary to repeat this step.

## Re-scan the library

Useful after adding a book via ssh.

    :::shell
    ssh root@kobo-address 'echo -e "usb plug add\nusb plug remove" >> /tmp/nickel-hardware-status'
